package com.skeleton.Main;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class SkeletonPipelineProcessor {

	private static final Log fLog = LogFactory
			.getLog(SkeletonPipelineProcessor.class);
	private boolean fCanRun = true;

	private SkeletonSystem fSkeletonSystem;

	public SkeletonPipelineProcessor() {
		super();
	}

	public void initialise() {
		try {
			fSkeletonSystem = new SkeletonSystem();
		} catch (Exception fException) {
			fCanRun = false;
			fLog.error(fException);
		}
	}

	public boolean canRun() {
		return fCanRun;
	}

	public void setCanRun(boolean aCanRun) {
		fCanRun = aCanRun;
	}

	public void doProcessing() {
		fLog.info("Processing");		
		try {
			fSkeletonSystem.doProcessing();
		}
		catch (Exception fException) {
			fLog.error(fException.getMessage());
		}				
	}
}
